// test.cpp - Aplicación
#include <iostream>
#include <iomanip>
#include "matriz2d.h"
using namespace std;

template<class T> void visualizar(Matriz2d<T>& m)
{
  for (int f = 0; f < m.filas(); f++)
  {
    for (int c = 0; c < m.columnas(); c++)
      cout << setw(7) << m(f, c);
    cout << '\n';
  }
  cout << "\n\n";
}

int main()
{
  Matriz2d<double> m2d(2, 2);
  for (int f = 0; f < m2d.filas(); f++)
    for (int c = 0; c < m2d.columnas(); c++)
    {
      cout << "elemento[" << f << "][" << c << "] = ";
      cin >> m2d(f,c);
    }
  visualizar(m2d);
  
  system("pause");
}

